const MamiColourPickerValueRaw = function() {
    let onChange = () => {};

    const html = <input class="colpick-values-child-input"
        type="number" min="0" max={0xFFFFFF} value="0"
        onchange={() => onChange(Math.min(html.max, Math.max(html.min, html.value)))}/>;

    return {
        getElement: () => html,
        onChange: handler => onChange = handler,
        updateColour: colour => html.value = colour,
    };
};
